当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 99 篇帖子 ]  前往页数 1, 2, 3, 4, 5 ... 7  下一页
作者 内容
1 楼 
 文章标题 : [教学]UBUNTU8.04下安装ATI显卡驱动8.7催化剂版
帖子发表于 : 2008-04-30 20:54 

注册: 2007-11-10 14:29
帖子: 110
送出感谢: 1
接收感谢: 1
首先,使用780G主板等的、使用ATi X000系列的,不建议安装此驱动,建议使用ATi开源驱动(见常见硬件支持置顶帖)
使用ATi HD2000/3000/4000独立显卡,不满足于开源驱动的,请使用本驱动
安装后检测出驱动是Mesa的,为 没有成功安装。(注意:Mesa是通用驱动,有时候安装完驱动后,更新内核时,Ubuntu会很自觉的再换成Mesa,系统更新时注意不要勾选任何的显示驱动(display driver)即可)

【最后更新:2008年08月11日】

一、安装8.7催化剂方法
1、到驱动之家(www.mydrivers.com)或者ATI官方网站下载8.7催化剂 FOR LINUX
2、放到个人主文件夹里
3、终端里执行以下命令
代码:
sudo sh ati-driver-installer-8-7-x86.x86_64.run

4、弹出图形化安装界面,按照默认选项即可
5、重启电脑,选择UBUNTU8.04(RECOVERY MODE),就是命令行界面阿,加载完毕后选择ROOT,运行以下命令:
代码:
代码:
aticonfig --initial
aticonfig --overlay-type=Xv
exit

选择RESUME,进入正常登录界面
6、注意不要去改动“受限驱动管理器”,这时会自动启用新驱动。
检测驱动是否成功安装的命令及我的返回值(我使用ATi HD3850 512MB):
代码:
glxinfo |grep -e 'direct' -e 'OpenGL'

引用:
direct rendering: Yes
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3850
OpenGL version string: 2.1.7769 Release
OpenGL extensions:



代码:
fglrxinfo

引用:
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3850
OpenGL version string: 2.1.7769 Release



代码:
glxgears

引用:
46929 frames in 5.0 seconds = 9385.687 FPS
60409 frames in 5.0 seconds = 12081.798 FPS
60455 frames in 5.0 seconds = 12090.889 FPS
60326 frames in 5.0 seconds = 12065.128 FPS



代码:
fgl_glxgears

引用:
Using GLX_SGIX_pbuffer
Using GLX_SGIX_pbuffer
12228 frames in 5.0 seconds = 2445.600 FPS
14964 frames in 5.0 seconds = 2992.800 FPS
15093 frames in 5.0 seconds = 3018.600 FPS
14759 frames in 5.0 seconds = 2951.800 FPS

二、安装催化剂8.4的方法
以下是zhizunbao的文章,我针对UBUNTU8.04和催化剂8.4驱动,做了一下小的改动
步骤相对7.11省略很多,无需编译内核模块,附修改后的compiz,以供参考。
建议纯净系统安装,这样如果确定显卡在支持范围的话,应该可以100%成功
另外,桌面环境建议使用GNOME,个人测试认为KDE环境下开3D不是很稳定,还有Ubuntu Studio的rt内核是不支持编译驱动的,想要装驱动就用GNOME版本的。个人意见
1。下载地址
http://drivers.mydrivers.com/drivers/212-84915-ATI-Radeon-Mobility-FireGL-8.4-For-Linux-x86-x64/
一般都放在主目录下,省得定义路径。
2。支持列表
工作站产品
引用:
引用:
FireGL™ V8650
FireGL™ V8600
FireGL™ V7600
FireGL™ V7350
FireGL™ V7300
FireGL™ V7200
FireGL™ V7100
FireGL™ V5600
FireGL™ V5200
FireGL™ V5100
FireGL™ V5000
[size=9]FireGL HD3870
[size=9]FireGL HD3850
[size=9]FireGL™ V3600
[size=9]FireGL™ V3400
[size=9]FireGL™ V3300
[size=9]FireGL™ V3200
[size=9]FireGL™ V3100
[size=9]FireGL™ X3-256
[size=9]FireGL™ X3
[size=9]FireGL™ X2-256
[size=9]FireGL™ Z1-128
[size=9]FireGL™ T2-128
[size=9]FireGL™ X1-128
[size=9]FireGL™ X1-256p
[size=9]FireMV™ 2200 (Single card PCI-e configuration)
[size=9]Mobility™ FireGL™ V5000
[size=9]Mobility™ FireGL™ T2

移动及整合产品
引用:
引用:
Mobility™ Radeon™ X1800
Mobility™ Radeon™ X1600
Mobility™ Radeon™ X1400
Mobility™ Radeon™ X1300
Mobility™ Radeon™ X1200
Mobility™ Radeon™ X1100
Mobility™ Radeon™ X800
Mobility™ Radeon™ X700
Mobility™ Radeon™ X600
Mobility™ Radeon™ X300
Mobility™ Radeon™ X200
Mobility™ Radeon™ 9800
Mobility™ Radeon™ 9600
Mobility™ Radeon™ 9550
Mobility™ Radeon™ 9500
Mobility™ Radeon™ Xpress 1200 series
Mobility™ Radeon™ Xpress 1100 series
Mobility™ Radeon™ Xpress 200 series

桌面及整合产品
引用:
[/quote]Radeon™ HD 2900 series
Radeon™ HD 2600 series
Radeon™ HD 2400 series
Radeon™ X1900 series
Radeon™ X1800 series
Radeon™ X1600 series
Radeon™ X1300 series
Radeon™ X850 series
Radeon™ X800 series
Radeon™ X700 series
Radeon™ X600 series
Radeon™ X550/X300 series
Radeon™ 9800 series
Radeon™ 9700 series
Radeon™ 9600 series
Radeon™ 9550 series
Radeon™ 9500 series
Radeon™ Xpress1200 series
Radeon™ Xpress 1100 series
Radeon™ Xpress 200 series
[quote]
注意:8.42.3是最后一个支持2.4内核的驱动。
3。安装编译所需要的包
代码:
代码:
sudo apt-get update
sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5 linux-headers-generic dkms -y

4。卸载旧的fglrx
在新立得中把含有fglrx的软件包全部删除
5。生成.deb包
代码:
代码:
sudo bash ati-driver-installer-8-4-x86.x86_64.run --buildpkg Ubuntu/hardy


耐心等待有四个deb包生成,共14.2MB。
6。将旧的fglrx模块从受限模块中列入黑名单:
GNOME用户输入:
代码:
gksu gedit /etc/default/linux-restricted-modules-common

KDE用户输入:
代码:
kdesu kate /etc/default/linux-restricted-modules-common

将 "DISABLED_MODULES" 改为DISABLED_MODULES="fglrx",也就是自己在双引号中输入fglrx即可,保存退出。
7。移除旧的fglrx包:
代码:
sudo rm /usr/src/fglrx-kernel*.deb

如果提示找不到文件,没关系,继续。
8。安装生成的.deb包
代码:
sudo dpkg -i xorg-driver-fglrx_8.476-0ubuntu1_i386.deb fglrx-kernel-source_8.476-0ubuntu1_i386.deb fglrx-amdcccle_8.476-0ubuntu1_i386.deb

遇到询问是否更新compiz-manager,选择N就行了。
然后再执行:
代码:
sudo apt-get install -f

9。重启电脑,选择UBUNTU8.04(RECOVERY MODE),就是命令行界面阿,加载完毕后选择ROOT,运行以下命令:
代码:
代码:
aticonfig --initial
aticonfig --overlay-type=Xv
exit

选择RESUME,进入正常登录界面

10。~看看你的人品怎么样~正常显示了么?

注意不要去改动“受限驱动管理器”,这时会自动启用新驱动。
检测驱动是否成功安装的命令及我的返回值:
代码:
glxinfo |grep -e 'direct' -e 'OpenGL'

引用:
direct rendering: Yes
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3850
OpenGL version string: 2.1.7415 Release
OpenGL extensions:


代码:
fglrxinfo

引用:
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3850
OpenGL version string: 2.1.7415 Release


代码:
glxgears

引用:
63315 frames in 5.0 seconds = 12662.957 FPS
65340 frames in 5.0 seconds = 13067.971 FPS
62548 frames in 5.0 seconds = 12509.510 FPS


代码:
fgl_glxgears

引用:
Using GLX_SGIX_pbuffer
13062 frames in 5.0 seconds = 2612.400 FPS
15299 frames in 5.0 seconds = 3059.800 FPS
15262 frames in 5.0 seconds = 3052.400 FPS


最后由 02015678 编辑于 2008-08-11 9:09,总共编辑了 6 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-01 20:25 

注册: 2008-04-24 14:35
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
沙发?标记下
我的x1250 A卡,驱动不知道算不算搞定,反正是效果能开了,不错。
但执行glxgears的时候,结果不超过60fps
等搞定网卡再回来搞搞


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-02 0:48 

注册: 2007-12-28 21:09
帖子: 75
送出感谢: 0 次
接收感谢: 0 次
跟我用受限驱动的结果一样 而且装完看不到受限驱动的选项了 xvinfo还是没能开起来


最后由 militia200 编辑于 2008-05-02 13:34,总共编辑了 1 次

页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-02 2:39 
头像

注册: 2007-11-25 1:07
帖子: 67
送出感谢: 0 次
接收感谢: 0 次
这是不是意味着8.04还是没能完全解决ATI的问题?还要像711一样碰运气


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-05-02 20:04 
头像

注册: 2008-02-22 15:20
帖子: 101
地址: Guangdong
送出感谢: 0 次
接收感谢: 0 次
我的也是 x1250
效果可以开启 但是有些小小的瑕疵....

fps也在 59/60的样子


_________________
HP Notebook 6515B-170
Ubuntu 10.4 AMD64|Vista Sp2
卡农迷的精神家园
http://www.cnwbc.com
[分享]卡农、轻音乐、天下美图、开源软件...


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-05-02 20:04 
头像

注册: 2008-02-22 15:20
帖子: 101
地址: Guangdong
送出感谢: 0 次
接收感谢: 0 次
更重要的是 重新启动后 屏幕亮度 都会变化。。。


_________________
HP Notebook 6515B-170
Ubuntu 10.4 AMD64|Vista Sp2
卡农迷的精神家园
http://www.cnwbc.com
[分享]卡农、轻音乐、天下美图、开源软件...


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-05-03 16:19 

注册: 2006-12-22 12:54
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
装好了以后,退出登录或者重启X的时候都会出现黑屏或者死机,需要Ctrl+Alt+Del重新启动

以前在MDV2008.0里面也出现过这样的问题,后来运行xorg.conf,然后选择正确的显卡型号就解决了。但是现在好像没有这个命令......

求教......


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-05-03 16:39 

注册: 2008-05-03 16:35
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
direct rendering: Yes
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3850
OpenGL version string: 2.1.7415 Release
OpenGL extensions:
看不太懂呃











_________________
我的人生感言:It's never too old to learn wow gold .A journey of a thousand miles begins with a maple story mesos single step,and I like lotro gold.


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-05-06 20:46 

注册: 2007-01-12 21:33
帖子: 45
地址: Hebei
送出感谢: 1
接收感谢: 0 次
按照您说的方法,我在第8步出错了,没出现您说的compiz-manager选NO的情形,只出现了下列错误:





Error! DKMS tree already contains: fglrx-8.476
You cannot add the same module/version combo more than once.
Doing initial module build

Error! This module/version has already been built on: 2.6.24-17-generic
Directory: /var/lib/dkms/fglrx/8.476/2.6.24-17-generic/i686
already exists. Use the dkms remove function before trying to build again.
Installing initial module

Error! This module/version combo is already installed
for kernel: 2.6.24-17-generic (i686)
Done.

正在设置 fglrx-amdcccle (2:8.476-0ubuntu1) ...


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-05-09 19:47 

注册: 2007-11-10 14:29
帖子: 110
送出感谢: 1
接收感谢: 1
第八步,的确可能不会出CONPIZ—MANAGER 选NO的情况。

你看看以前的FGLRX删除干净了吗?
或者你下载的是最新驱动么?命令里的版本号对应么?
对应着看看把,应该没什么大问题~


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-05-10 21:05 

注册: 2008-05-10 21:00
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
按楼主说的试了两遍安好了,不知道对不对,感觉跟上面的FPS差好远……

direct rendering: Yes
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI MOBILITY FireGL V3200
OpenGL version string: 2.1.7415 FireGL Release
OpenGL extensions:

fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI MOBILITY FireGL V3200
OpenGL version string: 2.1.7415 FireGL Release

glxgears
16339 frames in 5.0 seconds = 3267.623 FPS
16275 frames in 5.0 seconds = 3254.977 FPS
16185 frames in 5.0 seconds = 3236.983 FPS

gong@gong-laptop:~$ fgl_glxgears
Using GLX_SGIX_pbuffer
3237 frames in 5.0 seconds = 647.400 FPS
3834 frames in 5.0 seconds = 766.800 FPS
3853 frames in 5.0 seconds = 770.600 FPS


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-05-10 22:08 

注册: 2007-01-12 21:33
帖子: 45
地址: Hebei
送出感谢: 1
接收感谢: 0 次
我想问一下,安装这个驱动的时候,是不是ROOT账户必须可用啊!


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2008-05-11 20:00 

注册: 2007-08-04 13:04
帖子: 274
送出感谢: 0 次
接收感谢: 0 次
根本不用禁止fglrx , ati的官方驱动就是fglrx 的。
我的780g内置hd 3200很可怜阿


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2008-05-12 16:43 

注册: 2008-05-09 22:40
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
弄了一个下午,弄不好。
还搞得好像说什么显卡显示器软件崩溃了..........
不会怎么弄回去,一气之下,重装...........
现在重装后,受限驱动那里是空的
这样怎么开来装驱动啊???
其他方法我还没弄成功过.....只会在受限驱动里开.....
大家帮帮我啊,这样怎样装驱动???


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2008-05-13 19:19 

注册: 2008-05-10 21:00
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
按搂住说的来就是了,多试几遍....
我前几天第一次装linux都搞定了。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 99 篇帖子 ]  前往页数 1, 2, 3, 4, 5 ... 7  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译